d3.csv('https://gist.githubusercontent.com/Dhanu0725/23ca74e4d3470d86d321e90eb5d76ff5/raw/58add5063d29e1f923adca01f61a6589e89548a6/Insurance_charges.csv', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}
  var colors = []
  var i = 0
    for (i=0; i < unpack(rows, 'region').length; i++) {
      if (unpack(rows, 'region')[i] == "southeast") {
        colors.push(0)
      } else if (unpack(rows, 'region')[i] == "southwest") {
        colors.push(0.5)
      } else if (unpack(rows, 'region')[i] == "northwest") {
        colors.push(1)
      } else if (unpack(rows, 'region')[i] == "northeast") {
        colors.push(1.5)
      }
    }

    var pl_colorscale=[
               ['#DC143C'],
               ['#8B008B'],
               ['#191970'],
               ['#008080']
      ]
var trace1 = {
	x:unpack(rows, 'age'), 
  y: unpack(rows, 'bmi'), 
  z: unpack(rows, 'charges'),
	mode: 'markers',
      marker: {
        color: colors,
        colorscale:pl_colorscale,
        size: 12,
        line: {
          color: 'white',
          width: 0.5
        }
      },
	type: 'scatter3d'
};


var data = [trace1];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  },
	scene: {
		xaxis:{title: 'age',backgroundcolor: "#DB7093",
	 gridcolor: "rgb(255, 255, 255)",
	 showbackground: true,
	 zerolinecolor: "rgb(255, 255, 255)"},
		yaxis:{title: 'bmi',
     backgroundcolor: "#B0E0E6",
     gridcolor: "rgb(255, 255, 255)",
     showbackground: true,
     zerolinecolor: "rgb(255, 255, 255)"},
		zaxis:{title: 'charges',
     backgroundcolor: "#DDA0DD",
     gridcolor: "rgb(255, 255, 255)",
     showbackground: true,
     zerolinecolor: "rgb(255, 255, 255)"},
		}        
  };
Plotly.newPlot('myDiv', data, layout);
});
